/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MessagesWnd_H__
#define __MessagesWnd_H__

#ifdef __GNUG__
	#pragma interface "MessagesWnd.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "xMuleGUI_wdr.h"
#include "defines.h"

class CMessagesWnd: public wxPanel {
public:
	CMessagesWnd(
		wxWindow *parent, wxWindowID id = -1, 
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxTAB_TRAVERSAL | wxNO_BORDER | 
		wxNO_FULL_REPAINT_ON_RESIZE
	);
    
private:
	wxStaticBitmap* GetFriendImage()  { return (wxStaticBitmap*) FindWindow( ID_FRIEND_IMAGE ); }
	wxStaticBitmap* GetMessagesImage() { return (wxStaticBitmap*) FindWindow( ID_MESSAGES_IMAGE ); }

	DECLARE_EVENT_TABLE()
};


#endif

