/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef __GNUG__
	#pragma implementation "StatisticsWnd.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "StatisticsWnd.h"

BEGIN_EVENT_TABLE(CStatisticsWnd,wxPanel)
	EVT_BUTTON(BTN_STAT, CStatisticsWnd::StatisticsMenu)
END_EVENT_TABLE()

/*
 *  Constructor for Statistics page.
 */
CStatisticsWnd::CStatisticsWnd( 
	wxWindow *parent, wxWindowID id, const wxPoint &position, 
	const wxSize& size, long style ) 
: wxPanel( parent, id, position, size, style ) {
	StatisticsWnd( this, TRUE );
	Hide();
}

void CStatisticsWnd::StatisticsMenu(wxCommandEvent &event){
	wxMenu *m_statmenu = new wxMenu(wxT("Statistics Tree"));
	m_statmenu->Append(0, wxT("Reset Statistics"));
	m_statmenu->Append(1, wxT("Restore Statistics"));
	m_statmenu->AppendSeparator();
	m_statmenu->Append(2, wxT("Expand Main Sections"));
	m_statmenu->Append(3, wxT("Expand All sections"));
	m_statmenu->Append(4, wxT("Collapse All Sections"));
	m_statmenu->AppendSeparator();
	m_statmenu->Append(5, wxT("Copy Selected Branch"));
	m_statmenu->Append(6, wxT("Copy All Visible"));
	m_statmenu->Append(7, wxT("Copy All Statistics"));
	m_statmenu->AppendSeparator();
		wxMenu *m_html = new wxMenu();
		m_html->Append(8, wxT("Copy Selected Branch"));
		m_html->Append(9, wxT("Copy All Visible"));
		m_html->Append(10, wxT("Copy All Statistics"));
		m_html->AppendSeparator();
		m_html->Append(11, wxT("Export All Visible"));
		m_html->Append(12, wxT("Export All Statistics"));
	m_statmenu->Append(13, wxT("HTML Features"), m_html);
	PopupMenu(m_statmenu, ScreenToClient(::wxGetMousePosition()));
}

